Skip to main content
POST
/
currencies
/
rates
curl --request POST \
  --url https://app.cryptoprocessing.com/api/v2/currencies/rates \
  --header 'Content-Type: application/json' \
  --header 'X-Processing-Key: <api-key>' \
  --header 'X-Processing-Signature: <x-processing-signature>' \
  --data '
{
  "currency_from": "BTC",
  "currency_to": "EUR"
}
'
{
  "data": [
    {
      "currency_from": {
        "currency": "BTC",
        "type": "crypto",
        "min_amount": "0.00010000",
        "min_amount_deposit_with_exchange": "0.00020000"
      },
      "currency_to": {
        "currency": "EUR",
        "type": "fiat"
      },
      "rate_from": "1",
      "rate_to": "58077.41037702"
    }
  ]
}
This endpoint returns reference exchange rates only. To get an actual exchange quote, use /exchange/calculate.
The list of supported currencies in the sandbox environment is different from the list in the production environment.

Authorizations

X-Processing-Key
string
header
required

Your API key.

Headers

X-Processing-Signature
string
required

Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.

Body

application/json
currency_from
string

Currency to exchange from. For a list of all available currencies, see API currency codes.

currency_to
string

Currency to exchange to. For a list of all available currencies, see API currency codes.

Response

OK. Returns the available exchange pairs.

data
object[]

List of matching currency pairs.

Last modified on April 28, 2026